#include <bits/stdc++.h>
using namespace std;
int main(){
int64_t p,q,r,L,R,suma,N,x,y,z,d,g,o;
     scanf("%d %d %d %d %d",&p, &q, &r , &L , &R);
     suma=0;
     for(int i=L;i<=R;i++){
            d=N%p;
            o=N%q;
            g=N%r;

     if((((d and o)or(d and g)or(o and g))==0) and ((N-(((d and o)or(d and g)or(o and g))+(N/p+d or N/q+o or N/r%g)))>=0)){suma++;}
     else{if(((d or g or o)==0)and((N-((d or g or o)+(N/p+d +N/q+o or N/p+d + N/r+g or N/r%g+N/q+o)))>=0)){suma++;}
     else{if(((N-(N/p+d +N/q+o +N/r+q))>=0)){suma++;}}}
     N++;
     }

     printf("%d\n",suma);
    return 0;
}